Skip to main content
`Ctrl`+`K`

# PetscCommDestroy

Frees communicator obtained with `PetscCommDuplicate()`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscCommDestroy(MPI_Comm *comm)

Collective

## Input Parameter

- comm - the communicator to free

## Notes

Sets `comm` to `NULL`

The communicator is reference counted so it is only truly removed from the system when its reference count drops to zero

## See Also

`PetscCommDuplicate()`

## Level

developer

## Location

src/sys/objects/tagm.c

## Examples

src/ksp/ksp/tutorials/ex73.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages